# loadOrNull

@ JvmOverloads
fun loadOrNull (loader: ClassLoader ? = null, initialize: Boolean = false): Class < Any >?

Load the first class that matches the given names using the specified ClassLoader.

If no class is found, it returns null.

#### Return

Class or null if no class is found.

#### Parameters

loader

the ClassLoader to load the class, default is ClassLoaderProvider.classLoader.

initialize

whether to initialize the class with loader, default is false.

#### See also

VariousClass.load

@ JvmOverloads
@ JvmName (name = "loadOrNullTyped")
fun < T : Any > loadOrNull (loader: ClassLoader ? = null, initialize: Boolean = false): Class < T >?

Load the first class that matches the given names using the specified ClassLoader.

#### Return

Class<T> or null.

#### See also

VariousClass.load
VariousClass.loadOrNull